import TeamShareBaseModel from './teamShareBase'

import type {ITeamList} from '@/modelTypes/ITeamList'
import type {IList} from '@/modelTypes/IList'

export default class TeamListModel extends TeamShareBaseModel implements ITeamList {
	declare listId: IList['id']

	defaults() {
		return {
			...super.defaults(),
			listId: 0,
		}
	}
}