import UserModel from './user'

import type {ITeamMember} from '@/modelTypes/ITeamMember'
import type {IList} from '@/modelTypes/IList'

export default class TeamMemberModel extends UserModel implements ITeamMember {
	declare admin: boolean
	declare teamId: IList['id']

	defaults() {
		return {
			...super.defaults(),
			admin: false,
			teamId: 0,
		}
	}
}