import AbstractModel from './abstractModel'
import type { IAvatar } from '@/modelTypes/IAvatar'

export default class AvatarModel extends AbstractModel implements IAvatar {
	declare avatarProvider: IAvatar['avatarProvider']

	defaults() {
		return {
			avatarProvider: '',
		}
	}
}