import AbstractModel from './abstractModel'

import type {IEmailUpdate} from '@/modelTypes/IEmailUpdate'

export default class EmailUpdateModel extends AbstractModel implements IEmailUpdate {
	declare newEmail: string
	declare password: string

	defaults() {
		return {
			newEmail: '',
			password: '',
		}
	}
}