import AbstractModel from './abstractModel'

import type { ILabelTask } from '@/modelTypes/ILabelTask'

export default class LabelTask extends AbstractModel implements ILabelTask {
	declare id: number
	declare taskId: number
	declare labelId: number

	defaults() {
		return {
			id: 0,
			taskId: 0,
			labelId: 0,
		}
	}
}