import AbstractModel from './abstractModel'

import type {IPasswordUpdate} from '@/modelTypes/IPasswordUpdate'

export default class PasswordUpdateModel extends AbstractModel implements IPasswordUpdate {
	declare newPassword: string
	declare oldPassword: string

	defaults() {
		return {
			newPassword: '',
			oldPassword: '',
		}
	}
}