import TeamShareBaseModel from './teamShareBase'

import type {ITeamNamespace} from '@/modelTypes/ITeamNamespace'
import type {INamespace} from '@/modelTypes/INamespace'

export default class TeamNamespaceModel extends TeamShareBaseModel implements ITeamNamespace {
	declare namespaceId: INamespace['id']

	defaults() {
		return {
			...super.defaults(),
			namespaceId: 0,
		}
	}
}