import AbstractModel from './abstractModel'

import type {ITotp} from '@/modelTypes/ITotp'

export default class TotpModel extends AbstractModel implements ITotp {
	declare secret: string
	declare enabled: boolean
	declare url: string

	defaults() {
		return {
			secret: '',
			enabled: false,
			url: '',
		}
	}
}