import UserShareBaseModel from './userShareBase'

import type {IUserList} from '@/modelTypes/IUserList'
import type {IList} from '@/modelTypes/IList'

// This class extends the user share model with a 'rights' parameter which is used in sharing
export default class UserListModel extends UserShareBaseModel implements IUserList {
	declare listId: IList['id']

	defaults() {
		return {
			...super.defaults(),
			listId: 0,
		}
	}
}